package org.jeecg.modules.fbsInventory.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.jeecg.modules.fbsInventory.entity.FbsInventory;
import org.jeecg.modules.fbsInventory.mapper.FbsInventoryMapper;
import org.jeecg.modules.fbsInventory.service.IFbsInventoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;

/**
 * @Description: 存库档案
 * @author： jeecg-boot
 * @date：   2020-10-16
 * @version： V1.0
 */
@Service
@DS("multi-datasource1")
public class FbsInventoryServiceImpl extends ServiceImpl<FbsInventoryMapper, FbsInventory> implements IFbsInventoryService {

    @Autowired
    FbsInventoryMapper fbsInventoryMapper;

    @Override
    public List<FbsInventory> getInventoryGetByOrderId(String moId) {
        return fbsInventoryMapper.getInventoryGetByOrderId(moId);
    }
}
